Textpattern CMS support forum

You are not logged in. Register | Login | Help

#1 2019-01-27 21:45:23

Sunfoot
Member
From: Felanitx
Registered: 2009-02-07
Posts: 14
Website

Update 4.6.2 to 4.7.2

Upgrading the site I got the following message:

Fatal error: Uncaught Exception: update failed in /Users/Felix/Sites/textpattern-4.7.2/textpattern/lib/txplib_misc.php:1763 Stack trace:

  1. [internal function]: updateErrorHandler(2, ‘file_get_conten…’, ‘/Users/Felix/Si…’, 373, Array)
  2. /Users/Felix/Sites/textpattern-4.7.2/textpattern/vendors/Textpattern/L10n/Lang.php(373): file_get_contents(‘’)
  3. /Users/Felix/Sites/textpattern-4.7.2/textpattern/vendors/Textpattern/L10n/Lang.php(401): Textpattern\L10n\Lang->getPack(‘smd_thumbnail_v…’)
  4. /Users/Felix/Sites/textpattern-4.7.2/textpattern/update/_update.php(133): Textpattern\L10n\Lang->installFile(‘smd_thumbnail_v…’)
  5. /Users/Felix/Sites/textpattern-4.7.2/textpattern/index.php(215): include(‘/Users/Felix/Si…’)
  6. {main} thrown in /Users/Felix/Sites/textpattern-4.7.2/textpattern/lib/txplib_misc.php on line 1763

I can’t help myself. I do not understand what is going on. All plugins are deactivated.
Can aybody help me further?

Offline

#2 2019-01-28 07:35:08

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 7,382
Website

Re: Update 4.6.2 to 4.7.2

smd_thumbnail seems to still be activated.

Would this post be of help?


Yiannis
——————————
neme.org | hblack.net | LABS | State Machines | Respbublika! | NeMe @ github

Offline

#3 2019-02-01 15:18:41

Sunfoot
Member
From: Felanitx
Registered: 2009-02-07
Posts: 14
Website

Re: Update 4.6.2 to 4.7.2

Hi Yiannis

Thank you for her answer: smd_thumbnail is working.

But now I am busy with custom_fields. The update to glz_custom_fields did not work. I have some custom_fields of the Multi-Select type. The all generate this warning message “illegal string offset”.

I have to postpone the update a while or I have to rebuild my site

Felix

Offline

#4 2019-02-01 15:52:19

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 7,382
Website

Re: Update 4.6.2 to 4.7.2

So, just to make it clear. Did the update did install just fine? Is the problem just with particular plugins?


Yiannis
——————————
neme.org | hblack.net | LABS | State Machines | Respbublika! | NeMe @ github

Offline

Board footer

Powered by FluxBB